// Set 07
// Demo 2 - left to right movement
// starts on left with half of the circle on screen
// moves completely off screen on the right

// press any key to zoom out
// press mouse to zoom in to normal 200x200 view

int zTranslate;
int diameter;

void setup( )
{
   size( 200, 200, P3D );   
   zTranslate = 0; 
   diameter = 50;   
}

void draw( )
{
   translate( 0, 0, zTranslate );
   background( 255 );
   noFill( );
   rect( 0, 0, width, height );
   fill( 0 );
   int x = frameCount % (width + diameter);
   ellipse( x, height/2, diameter, diameter ); 

}

void keyPressed( )
{
   zTranslate = -400; 
}
     
void mousePressed( )
{
   zTranslate = 0; 
}
