// Set 07
// Demo 4 - left to right movement
// circle appears to move from left to right and back

// press any key to zoom out
// press mouse to zoom in to normal 200x200 view

int zTranslate;

void setup( )
{
   size( 200, 200, P3D );   
   zTranslate = 0;    
}

void draw( )
{
   translate( 0, 0, zTranslate );
   background( 255 );
   noFill( );
   rect( 0, 0, width, height );

   int x1 = frameCount % (2*width);
   int x2 = (2*width) - frameCount % (2*width);
   
   fill( 255, 0, 0 );
   ellipse( x1, height/2, 40, 40 ); 
   fill( 0, 0, 255 );
   ellipse( x2, height/2, 40, 40 ); 
}

void keyPressed( )
{
   zTranslate = -800; 
}
     
void mousePressed( )
{
   zTranslate = 0; 
}
